classification
Title: PEP 492: Documentation
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: yselivanov Nosy List: asvetlov, berker.peksag, gvanrossum, ncoghlan, python-dev, vstinner, yselivanov
Priority: deferred blocker Keywords: patch

Created on 2015-05-13 19:47 by yselivanov, last changed 2015-05-31 21:21 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
async_docs_v1.patch yselivanov, 2015-05-21 06:06 review
issue24180.diff berker.peksag, 2015-05-21 20:54 review
Messages (10)
msg243732 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2015-05-21 06:03
Please find attached a docs patch for PEP 492 changes.

I'd really appreciate if someone can review it / help me with it.  I think it's important to have at least some documentation shipped with beta-1, so that people start testing the feature.
msg243742 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2015-05-21 08:55
Patch looks worth merging to me. Some minor questions/quibbles:

Asynchronous iterator question: should the typical pattern for those be:

    def __aiter__(self):
        return self
    def __await__(self):
        return self

"Did we put the ABC's in the right place?" question: reviewing the draft docs meant I just noticed that collections.abc is quite an odd home for some of these. Probably not worth worrying about, given that AsyncIterator and AsyncIterable do belong, and the others are building blocks for those.

The What's New entry can be tweaked to replace "proposes" with "added".
msg243757 - (view) Author: Roundup Robot (python-dev) Date: 2015-05-21 15:50
New changeset 548d5704fcb3 by Yury Selivanov in branch 'default':
Issue 24180: Documentation for PEP 492 changes.
https://hg.python.org/cpython/rev/548d5704fcb3
msg243758 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2015-05-21 15:55
Thanks for the review Nick.  I committed the patch with some additional minor fixes, including your suggestion.

> Asynchronous iterator question: should the typical pattern for those be:

    def __aiter__(self):
        return self
    def __await__(self):
        return self


Well, adding __await__ to asynchronous iterators is the same as adding __call__ to regular iterators.  It would be like:

    i = iter(iterable)               # __iter__
    i = iterable()                   # __call__
   
    ai = await iterable.__aiter__()  # __aiter__
       # or "ai = await aiter(iterable)", but we don't have it yet

    ai = await iterable              # __await__


> "Did we put the ABC's in the right place?" question: reviewing the draft docs meant I just noticed that collections.abc is quite an odd home for some of these. Probably not worth worrying about, given that AsyncIterator and AsyncIterable do belong, and the others are building blocks for those.

I had this question too.  My impression is that Guido doesn't want to fix this in 3.5.  FWIW, my initial suggestion was to have "Coroutine", "Awaitable" and "Hashable" in the top-level "abc" module (not ideal by any means).
msg243789 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2015-05-21 20:54
Hi Yury,

Here is a post commit review. I've mostly removed some additional PEP 492 mentions and made a couple of trivial changes.
msg243790 - (view) Author: Roundup Robot (python-dev) Date: 2015-05-21 21:02
New changeset 5691d2d2d0a4 by Yury Selivanov in branch 'default':
Issue 24180: Fixes by Berker Peksag.
https://hg.python.org/cpython/rev/5691d2d2d0a4
msg243791 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2015-05-21 21:03
Hi Berker, thanks for the review. I think all your edits are reasonable, so I've just committed your patch as is.
msg243833 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2015-05-22 15:32
Closing this issue.
msg244559 - (view) Author: Roundup Robot (python-dev) Date: 2015-05-31 21:13
New changeset 3eb817e19090 by Yury Selivanov in branch '3.5':
Issue 24180: Document sys.(set|get)_coroutine_wrapper
https://hg.python.org/cpython/rev/3eb817e19090

New changeset ca489c50fbd1 by Yury Selivanov in branch 'default':
Issue 24180: Document sys.(set|get)_coroutine_wrapper
https://hg.python.org/cpython/rev/ca489c50fbd1
msg244560 - (view) Author: Roundup Robot (python-dev) Date: 2015-05-31 21:21
New changeset 8a185bb62a25 by Yury Selivanov in branch '3.5':
Issue 24180: Mention sys.(get|set)_coroutine_wrapper in whatsnew
https://hg.python.org/cpython/rev/8a185bb62a25

New changeset 10f92b4d55ed by Yury Selivanov in branch 'default':
Issue 24180: Mention sys.(get|set)_coroutine_wrapper in whatsnew
https://hg.python.org/cpython/rev/10f92b4d55ed
History
Date User Action Args
2015-05-31 21:21:56python-devsetmessages: + msg244560
2015-05-31 21:13:42python-devsetmessages: + msg244559
2015-05-22 15:32:41yselivanovsetstatus: open -> closed
resolution: fixed
messages: + msg243833

stage: patch review -> resolved
2015-05-21 21:03:37yselivanovsetmessages: + msg243791
2015-05-21 21:02:44python-devsetmessages: + msg243790
2015-05-21 20:54:28berker.peksagsetfiles: + issue24180.diff
nosy: + berker.peksag
messages: + msg243789

2015-05-21 15:55:34yselivanovsetmessages: + msg243758
2015-05-21 15:50:43python-devsetnosy: + python-dev
messages: + msg243757
2015-05-21 08:55:37ncoghlansetmessages: + msg243742
2015-05-21 06:06:25yselivanovsetfiles: + async_docs_v1.patch
2015-05-21 06:06:16yselivanovsetfiles: - async_docs_v1.patch
2015-05-21 06:03:42yselivanovsetfiles: + async_docs_v1.patch
messages: + msg243732

assignee: yselivanov
components: + Documentation
keywords: + patch
stage: needs patch -> patch review
2015-05-13 19:47:52yselivanovlinkissue24017 dependencies
2015-05-13 19:47:26yselivanovcreate